Erros após update HA

Boa tarde,

Antes de mais sou novato no Home Assistant, mas andava todo contente pois antes de fazer o upgrade do HA tinha tudo a funcionar.
Após o upgrade verifiquei que não tinha acesso aos sonoff e que o telegram tinha deixado de enviar as notificações.

Instalei o add-on “Check Home Assistant configuration” e aparecem estes erros, peço desde já desculpa por vos chatear com algo que possivelmente será basico, mas que eu não consigo ultrapassar.

WARNING: You are using pip version 19.1.1, however version 19.2.1 is available. You should consider upgrading via the ‘pip install --upgrade pip’ command.

INFO:homeassistant.util.package:Attempting install of colorlog4.0.2 Testing configuration at /tmp/config INFO:homeassistant.util.package:Attempting install of netdisco2.6.0 INFO:homeassistant.util.package:Attempting install of home-assistant-frontend20190805.0 INFO:homeassistant.util.package:Attempting install of libpyfoscam1.0 INFO:homeassistant.util.package:Attempting install of PyXiaomiGateway0.12.3 INFO:homeassistant.util.package:Attempting install of mutagen1.42.0 INFO:homeassistant.util.package:Attempting install of gTTS-token1.1.3 INFO:homeassistant.util.package:Attempting install of python-telegram-bot11.1.0 Failed config General

Errors:
Integration not found: sonoff Successful config (partial)

Na primeira execução após o update é normal serem instalados alguns módulos. Dá a ideia que algo está errado na integração do SonOff. Podes mostrar a configuração?

sonoff:
username: xxxxxxx@xxxx.com
password: xxxxxxxxxxx
scan_interval: 60
grace_period: 600
api_region: ‘eu’
entity_prefix: True
debug: False

#Notifications

telegram_bot:

  • platform: polling
    api_key: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
    allowed_chat_ids:
    • xxxxxxxx

notify:

  • name: xxxxxxxxx
    platform: telegram
    chat_id: xxxxxxxxxx

Esse componente não é actualizado há algum tempo:

Activa o Debug e mostra o resultado.

Bem vindo @Fidalgbf!

Quando publicares código ou logs deves sublinhar o texto que queres transformar em código e clicar no icone </>. Deverá existir um espaço antes e outro depois do bloco de código para que funcione correctamente. O código em Yaml é muito sensível aos espaçamentos e sem o código devidamente formatado não te poderemos ajudar. E nos logs há pormenores que só devidamente formatados se conseguem ver. Além disso, existem regras no fórum que devem ser cumpridas e que podes ler nos nossos Termos do Serviço/Regras e na FAQ .`

Vê um exemplo:

Como não dizes que versão tinhas, para que versão actualizaste, que tipo de instalação tens (hassio, raspassio, venv…) e todas essas coisas que são precisas para te poder ajudar não posso dar grande ajuda…

Pelo warning que tens, enquanto não instalares a versão nova do PIP não deverás conseguir instalar os módulos.

Relativamente ao debug, tenho de ver como é que se faz.

Tenta fazer o update para a 0.97 pois a versão 3.5 do Python vai deixar de ter suporte.

Boa tarde, fiz o último update do Hassio e aparece-me este erro:

imagem

A configuração está tudo ok!!

Ve qual a ultima versão que tinhas…e lê todo os change logs desde a última até à recente. E ve o que foi alterado.

Boa tarde,

Não encontro nenhuma alteração.

Apaguei o ficheiro da base de dados e ficou tudo ok.

Também tive o mesmo problema tive de repor um backup. E manter a versão antiga.

Que ficheiro apagaste?

Desculpa só hoje vi o post.

Apaguei o ficheiro:

\hassio\config\home-assistant_v2.db


Copyright © 2017-2020. Todos os direitos reservados
CPHA.pt - info@cpha.pt


FAQ | Termos de Serviço/Regras | Política de Privacidade